The method allows to get information about the contact list by its identifier.
To get list by ID, make a request to this URL:
| GET http://one-api.bsg.world/api/groups/{id} |
| Parameter | Required | Type | Description |
|---|---|---|---|
| id | Yes | integer | The contact list ID that is generated by the BSG system when the list is created |
| Parameter | Type | Description |
|---|---|---|
| id | integer | Contact list ID |
| name | string | Contact list name |
| description | string | Contact list description |
| default | boolean | Whether the contact list is a default one: true or false value |
| created_at | datetime | Date and time when the contact list was created. Display format Y-m-d H:i:s |
| items | string | The number of numbers in the contact list. |
| stop_list_count | string | The number of numbers that are in the stop list of SMS and Viber. |
If request is successful, you will receive a response:
{
"data": {
"id": 1,
"name": "string",
"description": "string",
"default": 0,
"created_at": "2022-04-28 14:21:16",
"items": 10,
"stop_list_count": 0
}
}